#
# spec file for package zynqmp-pmufw
#
# Copyright (c) 2018 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           zynqmp-pmufw
Version:	2017.1
Release:	6.3
License:	SUSE-Permissive
Summary:	PMU Firmware files for Xilinx Ultrascale+ MPSoC
Url:		https://www.xilinx.com
Group:		System/Boot
# To generate the pmufw for your system, please run the following on
# a system that has Vivado installed:
#
#  $ hsi
#  hsi% set hwdsgn [open_hw_design system.hdf]
#  hsi% generate_app -hw $hwdsgn -os standalone -proc psu_pmu_0 -app zynqmp_pmufw -compile -sw pmufw -dir pmufw
#  hsi% exit
#  $ tar c pmufw | pixz > pmufw.tar.xz
#
Source:		pmufw.tar.xz
Source2:	COPYING
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
BuildArch:	noarch

%description
PMU Firmware files for Xilinx Ultrascale+ MPSoC

%prep
tar xf %{SOURCE0}
cp %{SOURCE2} .

%install
install -p -m 0644 -D pmufw/executable.elf %{buildroot}/usr/share/zynqmp/pmufw.elf

%post

%postun

%files
%defattr(-,root,root)
%doc COPYING
/usr/share/zynqmp
/usr/share/zynqmp/*
%changelog
* Thu Apr 12 2018 agraf@suse.com
- Update to current scheme
* Fri Mar 16 2018 agraf@suse.com
- Convert into template
* Thu Mar 15 2018 agraf@suse.com
- Initial version, adds es1 firmware drop
